VERSION 0.8 # https://docs.earthly.dev/docs/earthfile#version
FROM python:3

ARG --global build_dir="public"

# Build the site
build:
    ARG yama_env="production"

    FROM debian:stable
    WORKDIR /workdir

    # If your generator writes to a cache dir for incremental build, this saves it between CI runs
    # CACHE .cache_dir

    COPY . .

    ENV YAMA_ENV=$yama_env

    RUN mkdir -p $build_dir
    RUN echo "Run any command you need here!" > $build_dir/index.html
    # add more commands...
    # add more commands...
    # add more commands...
    # add more commands...

    SAVE ARTIFACT $build_dir build_result AS LOCAL $build_dir

################
# Swift upload #
################

{% include "./fragments/swift.earth" %}
